import { Compiler } from '../compiler';
import { FloatNode, Sampler2DNode, Vec2Node, Vec4Node } from '../types';
export declare class GetShadowNode extends FloatNode {
    private shadowMap;
    private shadowMapSize;
    private shadowBias;
    private shadowRadius;
    private shadowCoord;
    constructor(shadowMap: Sampler2DNode, shadowMapSize: Vec2Node, shadowBias: FloatNode, shadowRadius: FloatNode, shadowCoord: Vec4Node);
    compile(c: Compiler): {
        pars: string;
        out: string;
    };
}
