import { Compiler, ShaderNode } from './compiler';
import { BaseType } from './nodes';
export declare abstract class StructType implements ShaderNode<string> {
    static readonly typeName: string;
    abstract compile(c: Compiler): any;
    private readonly properties;
    protected get<T extends ShaderNode<string>>(type: BaseType<T>, propertyName: string): T;
    definition(): string;
}
